CP(1)

NAME
CP - run the Trick Configuration Processor

SYNOPSIS
CP [-d | -e | -g | -h | -l | -m | -r | -s | -v]

DESCRIPTION
CP is the Trick environment Configuration Processor. When executed without options, CP executes every option except -g. This command must be executed in an existing simulation directory whose name is prefixed with ${SIM_DIR_PREFIX}, which contains a simulation definition file named S_define, and an optional title file named Title.

  Options

-d  Create the S_default.dat and Default.dat (Default data files) file.

-e  Create the S_main${HOST_CPU}.exe (Master executable) file.

-g  Print the S_define file as it is processed by CP. (This may help the user find problems with his/her simulation configuration).

-h  Create the S_structures (Default structure list) file.

-l  Create the S_library_list (Object library link list) file.

-m  Create the (simulation) Makefile.

-r  Create the S_sie.resource (Smart Input Editor data base) file.

-s  Create the S_source.c (Simulation specific executive source code) file.

-v  Create the S_variables.db (Simulation parameter data base) file.

FILES

${TRICK_HOME}/catalog/catalog
    Contains paths to all model catalog directories.

<model_directory>/catalog/structures
    Contains database information about the data structures which is used by CP(1).

<model_directory>/catalog/enumerated
    Contains database information about the enumerated data types which is used by CP(1).

<model_directory>/catalog/depends
    Contains database information about which files depend on which other files. ICG(1) inserts dependency information for header files, MIS(1) inserts dependency information for source code files. This information is used by CP.

${TRICK_USER_HOME}/<simulation_directory>/S_library_list
    The simulation-specific object code link list file.

${TRICK_USER_HOME}/<simulation_directory>/S_structures
    The simulation-specific data structures summary file.

${TRICK_USER_HOME}/<simulation_directory>/S_default.dat
    The simulation-specific default initialization data file.

${TRICK_USER_HOME}/<simulation_directory>/S_source.c
    The simulation-specific executive source code file.

${TRICK_USER_HOME}/<simulation_directory>/S_main_${HOST_CPU}.exe
    The simulation-specific, architecture-specific executable file.

${TRICK_USER_HOME}/<simulation_directory>/S_sie.resource
    The simulation-specific SIE resource file.

${TRICK_USER_HOME}/<simulation_directory>/S_variables.db
    The simulation-specific non-readable ASCII database file. Can be processed to yield information about every global data structure in the simulation.

${TRICK_USER_HOME}/<simulation_directory>/S_job_execution
    The simulation-specific job execution order summary file.

ENVIRONMENT

${TRICK_HOME}, ${TRICK_USER_HOME}
    These contain paths which are set by the user's .Trick_cshrc and used by nearly all Trick programs and utilities.

.Trickrc
    Trick's parses this file with the gte call to gather user configurable Trick environment variables (not to be confused with UNIX environment variables).

${SIM_DIR_PREFIX}
    Contains a pattern, normally "SIM_", which must match the first characters of the simulation directory's name.

SEE ALSO
All Trick model developers and users should go through the tutorial found in the Trick Simulation Environment User Training Materials. The canonical reference for all Trick commands, files and utilities is the Trick Simulation Environment User's Guide. Information specific to a given release of Trick tools is contained in the Trick Simulation Environment Version Description for that release.

BUGS
Known bugs will be placed in the Version Description Document located in $TRICK_HOME/docs area. If you would like to report a bug, contact vetter@lincom-asg.com.

AUTHORS
The CP command was written by Rob Bailey and is maintained by the Trick development staff. This man page was written by Rick Sykes, address all discrepancies to sykes@lincom-asg.com.